# SetGameScore - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.games.abstracts / SetGameScore

# SetGameScore

(common) `interface SetGameScore : SimpleRequest<Boolean>` (source)

### Properties

(common)

#### disableEditMessage

`abstract val disableEditMessage: Boolean`

(common)

#### force

`abstract val force: Boolean`

(common)

#### resultDeserializer

`open val resultDeserializer: DeserializationStrategy<Boolean>`

(common)

#### score

`abstract val score: Long`

(common)

#### userId

`abstract val userId: UserId`

### Functions

(common)

#### method

`open fun method(): String`

### Inheritors

(common)

#### SetGameScoreByChatId

`data class SetGameScoreByChatId : SetGameScore, MessageAction`

(common)

#### SetGameScoreByInlineMessageId

`data class SetGameScoreByInlineMessageId : SetGameScore, InlineMessageAction`